#include <iostream>
#include <algorithm>
#include <cmath>
#include <vector>
#include <fstream>
#include <map>
#include <set>
#define MOD 1000000007
#define int long long
#define MAX 1000000000

using namespace std;

void solve()
{
	
}

signed main()
{
	int t = 1;
	for (int i = 0; i < t; i++)
	{
		solve();
	}
}